<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/



Auth::routes();

Route::get('/dashboard', [App\Http\Controllers\HomeController::class, 'index'])->name('dashboard');
Route::get('/home', [App\Http\Controllers\MainController::class, 'index'])->name('home');
Route::get('/', [App\Http\Controllers\MainController::class, 'index'])->name('home');
Route::get('logout',[App\Http\Controllers\HomeController::class, 'destroy'])->name('logout');
Route::post('/regUser',[App\Http\Controllers\registerController::class,'regUser'])->name('regUser');
Route::resource('/product',\App\Http\Controllers\admin\ProductsController::class);
Route::get('/productList', [App\Http\Controllers\admin\ProductsController::class, 'list'])->name('productList');
